### Method

# Fwupd Device set_version_highest

since: 2.1.2

#### Declaration [src]

    void
    fwupd_device_set_version_highest (
      FwupdDevice* self,
      const gchar* version_highest
    )

#### Description [src]

Sets the highest version of firmware the device will accept.

Available since: 2.1.2

#### Parameters

`version_highest`

  Type: `const gchar*`

  The version.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.